/* Place your CSS styles in this file */

*, ::after, ::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Kanit', sans-serif;
    

}

:root {
    --main-color: #7843e9;
}

@media only screen and (max-width: 75em) {
html {
    font-size: 59%;
  }
}

@media only screen and (max-width: 56.25em) {
    html {
        font-size:56%
    }
}

@media only screen and (min-width: 112.5em) {
    html {
        font-size:65%
    }
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

div {
    display: block;
}


.header {
    position: fixed;
    width: 100%;
    background: #fff;
    box-shadow: 0 10px 100px rgba (0, 0,0, .1);
    z-index: 1000;
    display: block;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 3rem;
}

.header-logo-container {
    display: flex;
    align-items: center;
    color: #333;
    cursor: pointer;
    transition: color .3s;
}

.header-logo-img {
    width: 5rem;
    height: 5rem;
    overflow: hidden;
    margin-right: 1.5rem;
    background: var(--main-color);
    display: block;
}

.header-logo-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}

.header-logo-sub {
    font-size: 1.8rem;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #333;
}

.header-logo-sub:hover {
    color:var(--main-color);
}

.header-nav {
    margin: 0;
    padding: 0;
}

.header-navlist {
    display: flex;
}

.list-wrap {
    list-style: none;
    text-decoration: none;
}

.header-links {
    padding: 2.2rem 3rem;
    display: inline-block;
    font-size: 1.6rem;
    color: #333;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
    transition: color .3s;
}

a {
    text-decoration: none;
}

.header-links:hover {
    color: var(--main-color);
}

.section-1 {
    color: #fff;
    background: linear-gradient(to right,rgba(245,245,245,.8),rgba(245,245,245,.8)),url(https://thumbs.dreamstime.com/b/dark-background-texture-website-graphic-art-design-element-rough-textured-background-light-center-dark-edges-216958101.jpg);
    background-position: center;
    height: 100vh;
    min-height: 80rem;
    max-height: 120rem;
    position: relative;
    display: block;
}

.section-1-content {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 92rem;
    transform: translate(-50%, -50%);
    width: 92%;
}

.main-heading {
    text-transform: uppercase;
    font-size: 6rem;
    font-family: 700;
    letter-spacing: 3px;
    text-align: center;
    color: #111;
}

.section-info {
    margin: 3rem 0 auto 0 auto;
    display: block;
}

p {
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

.main-text {
    color: #333;
    font-size: 2.2rem;
    text-align: center;
    width: 100%;
    line-height: 1.6;
}

.section-1-btn {
    text-align: center;
    margin-top: 5rem;
    display: block;
}

.btn {
    background: var(--main-color);
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 1px;
    display: inline-block;
    font-weight: 700;
    border-radius: 5px;
    box-shadow: 0 5px 15px 0 rgba(0,0,0,.15);
    transition: transform .3s;
}

.btn:hover {
    background-color: #561c60dd;
    transition: color 1.3s;
}

.first{
    padding: 2rem 9rem;
    font-size: 2rem;
}

@media only screen and (max-width: 37.5em) {
    .section-1-mouse-scroll {
        display: none;
    } 
}

.section-1-mouse-scroll {
    position: absolute;
    bottom: 3%;
    left: 50%;
    transform: translateX(-50%)
}

.mouse {
    width: 25px;
    height: 40px;
    border: 2px solid #333;
    border-radius: 60px;
    position: relative;
    overflow: hidden;
}

.mouse::before {
    content: "";
    width: 5px;
    height: 5px;
    position: absolute;
    top: 7px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #333;
    border-radius: 50%;
    opacity: 1;
    animation: wheel 1.3s infinite;
}

@keyframes wheel {
    100% {
        opacity: 0;
        top: 27px;
    }
}

.about {
    background: #fafafa;
}

.sec-pad {
    padding: 12rem 0;
}

.main-container {
    max-width: 120rem;
    margin: auto;
    width: 92%;
    display: block;
}

.haeding-section {
    margin-bottom: 9rem;
}

h2 {
    display: block;
    font-size: 1.5em;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
}

h3 {
    display: block;
    font-size: 1.17em;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
}

p {
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

.about-heading {
    font-size: 4rem;
    text-transform: uppercase;
    display: block;
    letter-spacing: 3px;
    text-align: center;
    position: relative;
    margin-bottom: 3.5rem;
    color: black;
}

.about-heading::after {
    content: '';
    position: absolute;
    height: 5px;
    width: 3rem;
    background: #7843e9;
    top: calc(100% + 1.5rem);
    left: 50%;
    transform: translateX(-50%);
    border-radius: 5px;
}

.heading-sub{
    display: block;
    text-align: center;
    color: #555;
    font-weight: 500;
    max-width: 80rem;
    margin: auto;
    line-height: 1.6;
    font-size: 2rem;
    text-transform: uppercase;
}

.about-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10rem;
}

.about-content-heading {
    font-weight: 700;
    font-size: 2.8rem;
    margin-bottom: 3rem;
}

.about-content-details {
    font-size: 1.5rem;
    max-width: 60rem;
    line-height: 1.7;
    color: #333;
    margin-bottom: 1rem;
}

.about-content-details:nth-child(3) {
    margin-bottom: 4rem;
}

.btn-con {
    padding: 1.5rem 5rem;
    font-size: 1.6rem;
}

.about-skills-heading {
    font-weight: 700;
    font-size: 2.8rem;
    margin-bottom: 3rem;
}

.skills {
    display: flex;
    flex-wrap: wrap;
}

.skills-skills {
    padding: 1rem 2rem;
    margin-bottom: 1.5rem;
    margin-right: 1.5rem;
    font-size: 1.6rem;
    background: rgba(153,153,153,.2);
    border-radius: 5px;
    font-weight: 600;
    color: #666;
}

.skills-skills a{
    color: black;
}

.skills-skills a:hover {
    color: var(--main-color);
}

#projects {
    background: linear-gradient(to right,rgba(245,245,245,.8),rgba(245,245,245,.8)),url(https://thumbs.dreamstime.com/b/dark-background-texture-website-graphic-art-design-element-rough-textured-background-light-center-dark-edges-216958101.jpg);
}

.credit {
    text-decoration: none;
    color: var(--main-color);
    font-weight: 700;
}

.credit:hover {
    color: #561c60dd;
}


.main-footer {
    background-color: #333;
    color: #fff;
    

}

.heading-small {
    font-size: 2.2rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    padding-top: 30px;
}

.foot-descript {
    font-size: 1.5rem;
    letter-spacing: 1px;
}

.footer-bottom {
    border-top: 1px solid #555;
    display: flex;
    justify-content: center;
    text-align: center;
    padding: 20px;
    font-size: 1.2rem;
}

.social-box {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 15px rgba(0,0,0,0.1);
    display: flex;
    gap: 15px;
    justify-content: center;
    margin-top: 40px;

    
}

.social-links{
    color: #333;
    width: 80%;
    display: block;
    font-size: 20px;
    transition: 0.3s ease;
    text-align: center;
    align-items: center;
    margin: auto;
    

}

.social-img {
    width: 25%;
    
}

.social-img:hover {
    background-color: #561c6068;
    border-radius: 20%;
}